%define modname apm
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B10_%{modname}.ini

%define pre_rel beta4

Summary: 	Alternative PHP Monitor
Name: 		php-%{modname}
Version: 	1.1.0
Release: 	%mkrel 0beta5
Group: 		Development/PHP
License: 	PHP License
URL: 		http://pecl.php.net/package/APM/
Source0: 	http://pecl.php.net/get/APM-%{version}%{pre_rel}.tgz
Source1: 	B10_apm.ini
Patch0: 	APM-1.0.0-default_path.diff
BuildRequires: 	sqlite3-devel
BuildRequires: 	mysql-devel
BuildRequires: 	php-devel >= 3:5.2.0

%description
Monitoring extension for PHP, collects error events and store them in a local
SQLite database.

%prep

%setup -q -n APM-%{version}%{pre_rel}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p0


cp %{SOURCE1} %{inifile}

%build
%serverbuild

export APM_SHARED_LIBADD="-lmysqlclient -lz -lsqlite3"
phpize
%configure2_5x \
    --with-libdir=%{_lib} \
    --with-sqlite3=%{_prefix} \
    --with-mysql=%{_prefix} \
    --with-zlib-dir=%{_prefix}

# use the correct version
echo "#define APM_VERSION \"%{version}%{pre_rel}\"" >> config.h

%make
mv modules/*.so .

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}/var/lib/php-apm

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc web AUTHORS LICENSE NEWS apm.ini package*.xml
%config(noreplace) %attr(0640,apache,apache) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%attr(0750,apache,apache) /var/lib/php-apm


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-0beta5.mga3
+ Revision: 375669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 1.1.0-0beta4.mga3
+ Revision: 275642
- upgrade to  beta4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.1-2.mga2
+ Revision: 223857
- httpd restart is handled by filetriggers now

* Fri Feb 17 2012 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 209906
- added Patch1: php-apm-svn.diff diff to svn to make it build
- upgrade to 1.0.1
- upgrade to 1.0.1
- rebuild against php-5.3.9

  + misc <misc>
    - add configuration to make php-apm work by default

* Sun Feb 06 2011 spuhler <spuhler> 1.0.0-0.0.beta3.4.mga1
+ Revision: 47673
- removed buildroot definition from .spec
- imported package php-apm

